MAXScript Language Reference > 3ds Max Objects > Atmospheric : MAXWrapper > Atmospheric Effect Types >

# Volume_Light : Atmospheric

    Volume_Light - superclass: atmospheric; super-superclass:MAXWrapper - classID: #(268435474, 0)

Value > MAXWrapper > Atmospheric Effect > Volume_Light

| Atmospheric and Render Effects - Quick Navigation

Constructor:

    volume_light ...

Properties:

    <Volume_Light>.Fog_Color Color default: (color 255 255 255) -- animatable

Get/set the Fog Color value.

    <Volume_Light>.attenuation_color Color default: (color 0 0 255) -- animatable

Get/set the Attenuation Color value.

    <Volume_Light>.Exponential Integer default: 0

Get/set the state of the Exponential option.

Possible values are:

0 - off

1 - on

    <Volume_Light>.Density Float default: 5.0 -- animatable

Get/set the Density value of the Fog.

    <Volume_Light>.Max_Light Float default: 90.0 -- animatable

Get/set the Max. Light value of the Fog.

    <Volume_Light>.Min_Light Float default: 0.0 -- animatable

Get/set the Min. Light value of the Fog.

    <Volume_Light>.Use_Attenuation_Color Integer default: 0

Get/set the state of the Use Attenuation Color option.

Possible values are:

0 - off

1 - on

    <Volume_Light>.Attenuation_Color_Multiplier Float default: 2.0 -- animatable

Get/set the Attenuation Color Multiplier value of the Fog.

    <Volume_Light>.Filter_Shadows Integer default: 3

Get/set the state of the Filter Shadows option.

Possible values are

0 - Low

1 - Medium

2 - High

3 - Use Light Sample Range

    <Volume_Light>.Samples Integer default: 20

Get/set the number of samples.

    <Volume_Light>.Auto_Sample Integer default: 1

Get/set the state of the Auto Sample option.

Possible values are:

0 - off

1 - on

    <Volume_Light>.Atten__Start Float default: 100.0 -- animatable

Get/set the Attenuation Start value.

    <Volume_Light>.Atten__End Float default: 100.0 -- animatable

Get/set the Attenuation End value.

    <Volume_Light>.Noise_On Integer default: 0

Get/set the state of the Noise On option.

Possible values are:

0 - off

1 - on

    <Volume_Light>.Noise_Amount Float default: 0.0 -- animatable

Get/set the Noise Amount value.

    <Volume_Light>.Link_To_Light Integer default: 0

Get/set the state of the Link To Light option.

Possible values are:

0 - off

1 - on

    <Volume_Light>.Noise_Type Integer default: 0

Get/set the Noise Type option.

Possible values are:

0 - Regular

1 - Fractal

2 - Turbulence

    <Volume_Light>.invert Integer default: 0

Get/set the state of the Invert Noise option.

Possible values are:

0 - off

1 - on

    <Volume_Light>.High_Threshold Float default: 1.0 -- animatable

Get/set the High Threshold value of the Noise function.

    <Volume_Light>.Low_Threshold Float default: 0.0 -- animatable

Get/set the Low Threshold value of the Noise function.

    <Volume_Light>.Uniformity Float default: 0.0 -- animatable

Get/set the Noise Uniformity value.

    <Volume_Light>.Levels Float default: 3.0 -- animatable

Get/set the Noise Levels value.

    <Volume_Light>.size Float default: 20.0 -- animatable

Get/set the Noise Size value.

    <Volume_Light>.phase Float default: 0.0 -- animatable

Get/set the Noise Phase value.

    <Volume_Light>.Wind_Strength Float default: 0.0

Get/set the Wind Strength value.

    <Volume_Light>.Wind_Direction Integer default: 0

Get/set the state of the Wind Direction option.

Possible values are:

0 - Front

1 - Back

2 - Left

3 - Right

4 - Top

5 - Bottom

#### See Also

- Atmospheric Effects Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods